use v5.30.0;

use strict;
use warnings;

use Test::Most tests => 5;

BEGIN {
    use_ok 'Peace::Model::Customer';
}

{
    ## GIVEN
    my $secret = 'hola';
    ## WHEN
    my $customer   = Peace::Model::Customer->new( secret => $secret );
    ## THEN
    ok $customer->isa('Peace::Model::Customer'),
      'Instanced customer is made of Peace::Model::Customer.';
    is $customer->secret, $secret, 'Secret is correctly setup';
    is $customer->uuid, undef, 'Uuid is undef.';
}

{
    ## GIVEN
    my $secret = 'hola';
    my $uuid = 'example';
    my $customer   = Peace::Model::Customer->new( secret => $secret );
    
    ## WHEN
    $customer->uuid($uuid);

    ## THEN
    is $customer->uuid, $uuid, 'Uuid can be set.';
}
