use v5.30.0;

use strict;
use warnings;

use Test::Most tests => 2;

use DBI;

use Peace::Model::Customer;

BEGIN {
    use_ok 'Peace::DAO::Customer';
}

{
    ## GIVEN
    my $sql = <<'EOF';
INSERT INTO customers (secret) VALUES (?) RETURNING uuid; 
EOF
    my $uuid = 'hola';
    my $dbh          = DBI->connect( 'DBI:Mock:', '', '' );
    my $customer     = Peace::Model::Customer->new( secret => 'hola' );
    my $customer_dao = Peace::DAO::Customer->new( dbh => $dbh );

    $dbh->{mock_add_resultset} = {
        sql => $sql,
        results => [
            [ 'uuid' ],
            [ $uuid ],
        ]
    };

    ## WHEN
    $customer_dao->create( customer => $customer );

    ## THEN
    is $customer->uuid, $uuid, 'Customer id correctly set after user creation.';
}
